Skip to Content
API ReferenceOAuthCreate Auth Keys Code

Create authorization code

POST

https://novapai.ai/api/v1/auth/keys/code 

POST

/api/v1/auth/keys/code

cURL
$curl -X POST https://novapai.ai/api/v1/auth/keys/code \ >-H "Authorization: Bearer <token>" \ >-H "Content-Type: application/json" \ >-d '\{ >"callback_url": "https://myapp.com/auth/callback", >"code_challenge": "E9Melhoa2OwvFrEMTJguCHaoeK1t8URWbuGJSstw-cM", >"code_challenge_method": "S256", >"limit": 100 >\}'
200 Successful
reference-o-auth-create-auth-keys-code-01.json
{ "data": { "id": "auth_code_xyz789", "app_id": 12345, "created_at": "2025-08-24T10:30:00Z" } }

Create an authorization code for the PKCE flow to generate a user-controlled API key

Authentication

Authorization Bearer

API key as bearer token in Authorization header

Request

This endpoint expects an object.

字段类型必填说明
callback_urlstringformat: "uri" The callback URL to redirect to after authorization. Note, only https URLs on ports 443 and 3000 are allowed.
code_challengestringPKCE code challenge for enhanced security
code_challenge_methodenumThe method used to generate the code challenge Allowed values:S256 plain
limitdoubleCredit limit for the API key to be created
expires_atdatetime or nullOptional expiration time for the API key to be created
key_labelstring<=100 characters Optional custom label for the API key. Defaults to the app name if not provided.
usage_limit_typeenumOptional credit limit reset interval. When set, the credit limit resets on this interval. Allowed values:daily weekly monthly

Response

Successfully created authorization code

字段类型必填说明
dataobject-Auth code data

Errors

状态码说明
400Bad Request Error
401Unauthorized Error
409Conflict Error
500Internal Server Error